API V4 – Load a Lane Coverage Report

This is a PRO feature

Unlock advanced carrier intelligence with V.E.T. Carriers PRO.

Upgrade your plan to access this and more powerful tools.

The /v4/lanes/load/coverage/report/ endpoint lets you retrieve the complete index of carriers who cover a particular lane, either by specified preference or past performance.

HTTP Request

Method URL
GET https://api.brokercarrier.com/v4/lanes/load/coverage/report

Required Parameters

Name Type Value(s)
origin_zip string Use only 5-digit zip codes for the US, and only 3-character postal codes for Canada.
dest_zip string Use only 5-digit zip codes for the US, and only 3-character postal codes for Canada.
origin_city string Origin city name.
dest_city string Destination city name.
origin_state string Origin abbreviation or full state name.
dest_state string Destination abbreviation or full state name.

Request Formats

You must use one of the following parameter combinations to query the lane coverage:

Option 1: Search by ZIP Codes

Required: origin_zip, dest_zip

Note: Do not include city or state parameters when using ZIP codes.


Option 2: Search by City and State

Required: origin_city, origin_state, dest_city, dest_state

Note: Do not include ZIP code parameters when using city and state.


Example Response

Request: https://api.brokercarrier.com/v4/lanes/load/coverage/report?origin_zip=89503&dest_zip=53558

The example response below shows a list containing five carriers. Your real API calls will return much larger responses than this.


[
    {
        "business_name": "BLB CARRIERS LLC",
        "dot_number": "4014145",
        "email": "dispatch@blbcarriers.com",
        "onboarded": "2024-02-01",
        "phone": "8324474034"
    },
    {
        "business_name": "HERNANDAZO TRUCKING LLC",
        "dot_number": "3478419",
        "email": "hernandazotrucking@gmail.com",
        "onboarded": "2023-12-28",
        "phone": "2146006557"
    },
    {
        "business_name": "HAZEL'S HOTSHOT INC",
        "dot_number": "213831",
        "email": "loads@hazels.com",
        "onboarded": "2023-12-20",
        "phone": "8172712487"
    },
    {
        "business_name": "LIGHTNING TRUCKING LLC",
        "dot_number": "3758111",
        "email": "ak@ltds.co",
        "onboarded": "2023-12-11",
        "phone": "5054205057"
    },
    {
        "business_name": "ANTHONY LEONARD RANDALL",
        "dot_number": "3095992",
        "email": "arandall@randalltruckline.com",
        "onboarded": "2023-11-23",
        "phone": "8327597640"
    }
]